package com.yuchen.saas.integration.feign.api.feign;


import com.yuchen.saas.integration.feign.api.dto.ScanPreventionDTO;
import com.yuchen.saas.integration.feign.api.vo.HikCameraVo;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

/**
 * @author 宋少挺
 * @date 2022/10/25
 */
@Component
public class HikIscApiClientFallback implements HikIscApiClient{

    @Override
    public R manualCapture(HikCameraVo hikCameraVo) {
        return R.fail("ISC接口调用失败！");
    }

    @Override
    public R presetsSearches(HikCameraVo hikCameraVo) {
        return R.fail("ISC接口调用失败！");
    }

    @Override
    public R ptzsControlling(HikCameraVo hikCameraVo) {
        return R.fail("ISC接口调用失败！");
    }

    @Override
    public R<Boolean> add(ScanPreventionDTO scanPreventionDTO) {
        return R.fail("接口调用失败！");
    }
}
